Summary:	A Pluggable Authentication Module for Kerberos 5
Name:		pam_krb5
Version:	2.3.12
Release:	6
License:	LGPL
Group:		System/Libraries
URL:		https://fedorahosted.org/pam_krb5/
Source0:	https://fedorahosted.org/releases/p/a/pam_krb5/%{name}-%{version}-1.tar.gz
BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	krb5-devel
BuildRequires:	pam-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description 
This is pam_krb5, a pluggable authentication module that can be used with
Linux-PAM and Kerberos 5. This module supports password checking, ticket
creation, and optional TGT verification and conversion to Kerberos IV tickets.
The included pam_krb5afs module also gets AFS tokens if so configured.

%prep
%setup -q -n %{name}-%{version}-1

%build
%configure2_5x \
    --libdir=/%{_lib} \
    --without-krb4 \
    --with-os-distribution="Mandriva Linux"

%make

%install
rm -rf %{buildroot}

%makeinstall_std mandir=%{_mandir}

ln -s pam_krb5.so %{buildroot}/%{_lib}/security/pam_krb5afs.so

# cleanup
rm -f %{buildroot}/%{_lib}/security/*.la
rm -f pam.d/Makefile*

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README* COPYING ChangeLog INSTALL TODO
/%{_lib}/security/*
%{_bindir}/afs5log
%{_mandir}/man1/afs5log.1*
%{_mandir}/man5/*
%{_mandir}/man8/*



%changelog
* Mon Jul 21 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.3.12-6
+ Revision: dc995c8
- BuildList#2062192: Increase release tag


